Subject: bug#16238: 24.3.50; pcase docs (and possibly pcase) wrong

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Dec 2013 09:53:35 -0500

> (defun evaluate (exp env)
>   (pcase exp
>     (`(add ,x ,y)         (+ (evaluate x env) (evaluate y env)))
>     (`(call ,fun ,arg)    (funcall (evaluate fun) (evaluate arg env)))
>                                                 `--- HERE!

Indeed, feel free to fix it.

> But shouldn't `arg' be substituted with 'x and `body' with '(add 1 x)?

No, the code is meant for lexical-binding.

        Stefan